From f888e984557e0ba79bf04263a962825dbc520c2d Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Sat, 5 Aug 2023 13:36:28 -0700
Subject: [PATCH v1 5/9] ci: Move use of -Dsegsize_blocks=6 from macos to linux

The option causes a measurable slowdown. Macos is, by far, the most expensive
platform to perform CI on, therefore move the option to another task. In
addition, the filesystem overhead seems to impact macos worse than other
platforms.
---
 .cirrus.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.cirrus.yml b/.cirrus.yml
index bfe251f48e8..35ef9c97211 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -366,6 +366,7 @@ task:
           meson setup \
             --buildtype=debugoptimized \
             -Dcassert=true \
+            -Dsegsize_blocks=6 \
             ${LINUX_MESON_FEATURES} \
             -DPG_TEST_EXTRA="$PG_TEST_EXTRA" \
             build
@@ -492,7 +493,6 @@ task:
       -Dextra_lib_dirs=/opt/local/lib \
       -Dcassert=true \
       -Duuid=e2fs -Ddtrace=auto \
-      -Dsegsize_blocks=6 \
       -DPG_TEST_EXTRA="$PG_TEST_EXTRA" \
       build
 
-- 
2.38.0

